// gnome.xonotic.in.ua

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/pjgrate1
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/ceil1_38
{
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc add
	}
}

textures/base_support/z_support
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/z_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/deep/beam
{
	qer_editorimage textures/deep/beam1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/deep/beam1.tga
		blendfunc add
	}
}

textures/deep/bluedecal
{
	qer_editorimage textures/deep/decal1b.tga
	tesssize 128
	surfaceparm nonsolid
	cull disable
	polygonoffset
	{
		map textures/deep/decal1b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/deep/bluewater
{
	qer_editorimage textures/deep/bluewater.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_surfacelight 400
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/deep/bluewater.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/deep/bluewater.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/deep/bluewater_decal
{
	qer_editorimage textures/deep/bluewater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	polygonoffset
	{
		map textures/deep/bluewater.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/deep/bluewater.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/deep/decal2
{
	qer_editorimage textures/deep/decal2.tga
	tesssize 128
	surfaceparm nonsolid
	nopicmip
	cull disable
	polygonoffset
	{
		map textures/deep/decal2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/deep/glass1
{
	qer_editorimage textures/deep/reflect1.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/deep/reflect1.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/deep/h2onodraw
{
	qer_editorimage textures/deep/bluewater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm water
}

textures/deep/ocean
{
	qer_editorimage textures/skies2/ocean.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 172
	q3map_surfacelight 400
	surfaceparm sky
	skyparms env/deepsea1 - -
}

textures/deep/ocean2
{
	qer_editorimage textures/skies2/ocean.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 172
	q3map_surfacelight 200
	surfaceparm sky
	skyparms env/deepsea1 - -
}

textures/deep/proto_grate4
{
	qer_editorimage textures/base_floor/proto_grate4.tga
	surfaceparm metalsteps
	surfaceparm trans
	cull none
	nopicmip
	surfaceparm alphashadow
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/deep/reddecal
{
	qer_editorimage textures/deep/decal1r.tga
	tesssize 128
	surfaceparm nonsolid
	nopicmip
	cull disable
	polygonoffset
	{
		map textures/deep/decal1r.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/deep/trenchfog
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 256
}

